Bug 1217516 - Need to integrate LXC fix to EPEL 7 - LXC rpm
Summary: Need to integrate LXC fix to EPEL 7 - LXC rpm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lxc
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-30 14:28 UTC by Vishnu Ganth
Modified: 2015-11-12 10:21 UTC (History)
3 users (show)

Fixed In Version: lxc-1.0.7-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-11 18:22:38 UTC
Type: Bug


Attachments (Terms of Use)
Patch pulling 38b34913 to fix bdev.c erroring on not finding 'overlayfs' (1.57 KB, patch)
2015-10-08 04:08 UTC, Mike Goodwin
no flags Details | Diff
SRPM with patch, tested working (793.22 KB, application/x-rpm)
2015-10-08 04:09 UTC, Mike Goodwin
no flags Details

Description Vishnu Ganth 2015-04-30 14:28:28 UTC
Description of problem:
The name of the overlay filesystem changed from overlayfs to overlay at some point. Support for this was added in commit 38b3491 - https://github.com/lxc/lxc/commit/38b34913fad2a4bcc842c2c377c0cb7bb90abe0f, which was made after the release of lxc 1.0.7. It looks like this change should be available in LXC releases 1.1.1 and later.

Since Centos - 7.1 kernel is not compatible with LXC - 1.1.1, need to integrate this fix to the LXC 1.0.7 rpm in EPEL repository.

Comment 1 Mike Goodwin 2015-10-08 01:29:43 UTC
Stack exchange link explaining the issue further: http://stackoverflow.com/questions/29941305/lxc-clone-not-working-with-overlayfs-in-centos-7

>[#] > lxc-clone -B overlayfs -s container2 container3
>lxc_container: bdev.c: overlayfs_mount: 2237 No such device - overlayfs: error mounting /data/main/lxc/container2/rootfs onto /usr/lib64/lxc/rootfs options upperdir=/data/main/lxc/container3/delta0,lowerdir=/data/main/lxc/container2/rootfs,workdir=/data/main/lxc/container3/olwork
>clone failed

Comment 2 Mike Goodwin 2015-10-08 04:08:29 UTC
Created attachment 1080842 [details]
Patch pulling 38b34913 to fix bdev.c erroring on not finding 'overlayfs'

Comment 3 Mike Goodwin 2015-10-08 04:09:38 UTC
Created attachment 1080843 [details]
SRPM with patch, tested working

Comment 4 Thomas Moschny 2015-10-24 18:34:32 UTC
This is actually upstream commit 388db0d9 (on the stable-1.0) branch, and will be in 1.0.8.

However, as there is a pending security update, I think I'll include the fix.

Comment 5 Fedora Update System 2015-10-25 09:05:19 UTC
lxc-1.0.7-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3cdbf28493

Comment 6 Fedora Update System 2015-10-26 21:19:52 UTC
lxc-1.0.7-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update lxc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3cdbf28493

Comment 7 Fedora Update System 2015-11-11 18:22:24 UTC
lxc-1.0.7-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.